
Ruby - Bug #6914

unable to build ruby-head

08/24/2012 05:45 AM - Anonymous

Status: Closed   

Priority: Normal   

Assignee: sorah (Sorah Fukumori)   

Target version:    

ruby -v: ruby 2.0.0dev (2012-08-23 trunk 36807)

[x86_64-darwin12.0.0]

Backport: 2.3: UNKNOWN, 2.4: UNKNOWN, 2.5:

UNKNOWN

Description

$ cat /Users/conradwt/.rvm/log/ruby-head/rubygems.install.log

[2012-08-23 13:29:19]

GEM_PATH="/Users/conradwt/.rvm/gems/ruby-head:/Users/conradwt/.rvm/gems/ruby-head@global:/Users/conradwt/.rvm/gems/rub

y-head:/Users/conradwt/.rvm/gems/ruby-head@global" GEM_HOME="/Users/conradwt/.rvm/gems/ruby-head"

"/Users/conradwt/.rvm/rubies/ruby-head/bin/ruby" "/Users/conradwt/.rvm/src/rubygems-1.8.24/setup.rb"

/Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors/to_ruby.rb:144: [BUG] Segmentation fault

ruby 2.0.0dev (2012-08-23 trunk 36807) [x86_64-darwin12.0.0]

-- Control frame information -----------------------------------------------

c:0018 p:---- s:0102 b:0102 e:000101 CFUNC  :===

c:0017 p:0109 s:0100 b:0099 e:000098 METHOD

/Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors/to_ruby.rb:144

c:0016 p:0030 s:0084 b:0084 e:000083 METHOD

/Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors/visitor.rb:15

c:0015 p:0013 s:0080 b:0080 e:000079 METHOD

/Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors/visitor.rb:5

c:0014 p:0012 s:0076 b:0076 e:000075 METHOD

/Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors/to_ruby.rb:20

c:0013 p:0019 s:0068 b:0068 e:000067 METHOD

/Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors/to_ruby.rb:231

c:0012 p:0030 s:0064 b:0064 e:000063 METHOD

/Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors/visitor.rb:15

c:0011 p:0013 s:0060 b:0060 e:000059 METHOD

/Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors/visitor.rb:5

c:0010 p:0012 s:0056 b:0056 e:000055 METHOD

/Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors/to_ruby.rb:20

c:0009 p:0026 s:0048 b:0048 e:000047 METHOD

/Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/nodes/node.rb:35

c:0008 p:0034 s:0045 b:0045 e:000044 METHOD /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych.rb:128

c:0007 p:0080 s:0039 b:0039 e:000038 METHOD /Users/conradwt/.rvm/src/rubygems-1.8.24/lib/rubygems/config_file.rb:253

c:0006 p:0212 s:0035 b:0035 e:000034 METHOD /Users/conradwt/.rvm/src/rubygems-1.8.24/lib/rubygems/config_file.rb:191

[FINISH]

c:0005 p:---- s:0026 b:0026 e:000025 CFUNC  :new

c:0004 p:0022 s:0022 b:0021 e:000020 METHOD /Users/conradwt/.rvm/src/rubygems-1.8.24/lib/rubygems/gem_runner.rb:78

c:0003 p:0118 s:0017 b:0017 e:000016 METHOD /Users/conradwt/.rvm/src/rubygems-1.8.24/lib/rubygems/gem_runner.rb:51

c:0002 p:0375 s:0009 b:0009 e:000070 EVAL   setup.rb:38 [FINISH]

c:0001 p:0000 s:0002 b:0002 e:000928 TOP    [FINISH]

setup.rb:38:in <main>' /Users/conradwt/.rvm/src/rubygems-1.8.24/lib/rubygems/gem_runner.rb:51:in run'

/Users/conradwt/.rvm/src/rubygems-1.8.24/lib/rubygems/gem_runner.rb:78:in do_configuration'

/Users/conradwt/.rvm/src/rubygems-1.8.24/lib/rubygems/gem_runner.rb:78:in new'

/Users/conradwt/.rvm/src/rubygems-1.8.24/lib/rubygems/config_file.rb:191:in initialize'

/Users/conradwt/.rvm/src/rubygems-1.8.24/lib/rubygems/config_file.rb:253:in load_file'

/Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych.rb:128:in load'

/Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/nodes/node.rb:35:in to_ruby'

/Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors/to_ruby.rb:20:in accept'

/Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors/visitor.rb:5:in accept'

/Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors/visitor.rb:15:in visit'

/Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors/to_ruby.rb:231:in visit_Psych_Nodes_Document'

/Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors/to_ruby.rb:20:in accept'

/Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors/visitor.rb:5:in accept'
/Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors/visitor.rb:15:in visit'

/Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors/to_ruby.rb:144:in visit_Psych_Nodes_Mapping'

/Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors/to_ruby.rb:144:in `==='

-- C level backtrace information -------------------------------------------

See Crash Report log file under ~/Library/Logs/CrashReporter or

/Library/Logs/CrashReporter, for the more detail of.

-- Other runtime information -----------------------------------------------

Loaded script: setup.rb

Loaded features:

0 enumerator.so

1 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/x86_64-darwin12.0.0/enc/encdb.bundle

2 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/x86_64-darwin12.0.0/enc/trans/transdb.bundle

3 /Users/conradwt/.rvm/src/rubygems-1.8.24/lib/rubygems/defaults.rb

4 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/x86_64-darwin12.0.0/rbconfig.rb

5 /Users/conradwt/.rvm/src/rubygems-1.8.24/lib/rubygems/deprecate.rb

6 /Users/conradwt/.rvm/src/rubygems-1.8.24/lib/rubygems/exceptions.rb

7 /Users/conradwt/.rvm/src/rubygems-1.8.24/lib/rubygems/custom_require.rb

8 /Users/conradwt/.rvm/src/rubygems-1.8.24/lib/rubygems.rb

9 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/optparse.rb

10 /Users/conradwt/.rvm/src/rubygems-1.8.24/lib/rubygems/user_interaction.rb

11 /Users/conradwt/.rvm/src/rubygems-1.8.24/lib/rubygems/command.rb

12 /Users/conradwt/.rvm/src/rubygems-1.8.24/lib/rubygems/command_manager.rb

13 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/x86_64-darwin12.0.0/etc.bundle

14 /Users/conradwt/.rvm/src/rubygems-1.8.24/lib/rubygems/config_file.rb

15 /Users/conradwt/.rvm/src/rubygems-1.8.24/lib/rubygems/doc_manager.rb

16 /Users/conradwt/.rvm/src/rubygems-1.8.24/lib/rubygems/version.rb

17 /Users/conradwt/.rvm/src/rubygems-1.8.24/lib/rubygems/requirement.rb

18 /Users/conradwt/.rvm/src/rubygems-1.8.24/lib/rubygems/platform.rb

19 /Users/conradwt/.rvm/src/rubygems-1.8.24/lib/rubygems/specification.rb

20 /Users/conradwt/.rvm/src/rubygems-1.8.24/lib/rubygems/path_support.rb

21 /Users/conradwt/.rvm/src/rubygems-1.8.24/lib/rubygems/dependency.rb

22 /Users/conradwt/.rvm/src/rubygems-1.8.24/lib/rubygems/version_option.rb

23 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/shellwords.rb

24 /Users/conradwt/.rvm/gems/ruby-head/gems/open_gem-1.4.2/lib/open_gem/common_options.rb

25 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/timeout.rb

26 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/fileutils.rb

27 /Users/conradwt/.rvm/gems/ruby-head@global/gems/rubygems-bundler-1.0.6/lib/rubygems-bundler/wrapper.rb

28

/Users/conradwt/.rvm/gems/ruby-head@global/gems/rubygems-bundler-1.0.6/lib/rubygems-bundler/rubygems_bundler_installer

.rb

29 /Users/conradwt/.rvm/src/rubygems-1.8.24/lib/rubygems/package/f_sync_dir.rb

30 /Users/conradwt/.rvm/src/rubygems-1.8.24/lib/rubygems/package/tar_header.rb

31 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/x86_64-darwin12.0.0/enc/iso_8859_1.bundle

32 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/x86_64-darwin12.0.0/zlib.bundle

33 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/syntax_error.rb

34 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych.bundle

35 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/x86_64-darwin12.0.0/stringio.bundle

36 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/nodes/node.rb

37 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/nodes/stream.rb

38 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/nodes/document.rb

39 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/nodes/sequence.rb

40 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/nodes/scalar.rb

41 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/nodes/mapping.rb

42 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/nodes/alias.rb

43 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/nodes.rb

44 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/streaming.rb

45 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors/visitor.rb

46 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/x86_64-darwin12.0.0/strscan.bundle

47 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/scalar_scanner.rb

48 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors/to_ruby.rb

49 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors/emitter.rb
50 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors/yaml_tree.rb

51 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/json/ruby_events.rb

52 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors/json_tree.rb

53 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors/depth_first.rb

54 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors.rb

55 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/handler.rb

56 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/tree_builder.rb

57 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/parser.rb

58 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/omap.rb

59 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/set.rb

60 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/coder.rb

61 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/core_ext.rb

62 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/x86_64-darwin12.0.0/date_core.bundle

63 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/date/format.rb

64 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/date.rb

65 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/deprecated.rb

66 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/stream.rb

67 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/json/yaml_events.rb

68 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/json/tree_builder.rb

69 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/json/stream.rb

70 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/handlers/document_stream.rb

71 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych.rb

72 /Users/conradwt/.rvm/src/rubygems-1.8.24/lib/rubygems/psych_additions.rb

73 /Users/conradwt/.rvm/src/rubygems-1.8.24/lib/rubygems/psych_tree.rb

74 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/yaml.rb

75 /Users/conradwt/.rvm/src/rubygems-1.8.24/lib/rubygems/syck_hack.rb

76 /Users/conradwt/.rvm/src/rubygems-1.8.24/lib/rubygems/package/tar_input.rb

77 /Users/conradwt/.rvm/src/rubygems-1.8.24/lib/rubygems/package/tar_output.rb

78 /Users/conradwt/.rvm/src/rubygems-1.8.24/lib/rubygems/package/tar_reader/entry.rb

79 /Users/conradwt/.rvm/src/rubygems-1.8.24/lib/rubygems/package/tar_reader.rb

80 /Users/conradwt/.rvm/src/rubygems-1.8.24/lib/rubygems/package/tar_writer.rb

81 /Users/conradwt/.rvm/src/rubygems-1.8.24/lib/rubygems/package.rb

82 /Users/conradwt/.rvm/src/rubygems-1.8.24/lib/rubygems/format.rb

83 /Users/conradwt/.rvm/src/rubygems-1.8.24/lib/rubygems/ext/builder.rb

84 /Users/conradwt/.rvm/src/rubygems-1.8.24/lib/rubygems/ext/configure_builder.rb

85 /Users/conradwt/.rvm/src/rubygems-1.8.24/lib/rubygems/ext/ext_conf_builder.rb

86 /Users/conradwt/.rvm/src/rubygems-1.8.24/lib/rubygems/ext/rake_builder.rb

87 /Users/conradwt/.rvm/src/rubygems-1.8.24/lib/rubygems/ext.rb

88 /Users/conradwt/.rvm/src/rubygems-1.8.24/lib/rubygems/require_paths_builder.rb

89 /Users/conradwt/.rvm/src/rubygems-1.8.24/lib/rubygems/installer.rb

90

/Users/conradwt/.rvm/gems/ruby-head@global/gems/rubygems-bundler-1.0.6/lib/rubygems-bundler/regenerate_binstubs_comm

and.rb

91 /Users/conradwt/.rvm/gems/ruby-head/gems/yard-0.8.1/lib/yard/rubygems/specification.rb

92 /Users/conradwt/.rvm/gems/ruby-head/gems/yard-0.8.1/lib/yard/rubygems/doc_manager.rb

93 /Users/conradwt/.rvm/src/rubygems-1.8.24/lib/rubygems/gem_runner.rb

[NOTE]

You may have encountered a bug in the Ruby interpreter or extension libraries.

Bug reports are welcome.

For details: http://www.ruby-lang.org/bugreport.html

/Users/conradwt/.rvm/scripts/functions/utility: line 149: 67037 Abort trap: 6          

GEM_PATH="/Users/conradwt/.rvm/gems/ruby-head:/Users/conradwt/.rvm/gems/ruby-head@global:/Users/conradwt/.rvm/gems/rub

y-head:/Users/conradwt/.rvm/gems/ruby-head@global" GEM_HOME="/Users/conradwt/.rvm/gems/ruby-head"

"/Users/conradwt/.rvm/rubies/ruby-head/bin/ruby" "/Users/conradwt/.rvm/src/rubygems-1.8.24/setup.rb"

[13:31] [~] [ruby] [1.9.2]  $

[13:31] [~] [ruby] [1.9.2]  $ rvm ruby-head

[13:31] [~] [ruby] [2.0.0]  $ gem list

/Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors/to_ruby.rb:144: [BUG] Segmentation fault

ruby 2.0.0dev (2012-08-23 trunk 36807) [x86_64-darwin12.0.0]

-- Control frame information -----------------------------------------------

c:0018 p:---- s:0100 b:0100 e:000099 CFUNC  :===

c:0017 p:0109 s:0098 b:0097 e:000096 METHOD

/Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors/to_ruby.rb:144
c:0016 p:0030 s:0082 b:0082 e:000081 METHOD

/Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors/visitor.rb:15

c:0015 p:0013 s:0078 b:0078 e:000077 METHOD

/Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors/visitor.rb:5

c:0014 p:0012 s:0074 b:0074 e:000073 METHOD

/Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors/to_ruby.rb:20

c:0013 p:0019 s:0066 b:0066 e:000065 METHOD

/Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors/to_ruby.rb:231

c:0012 p:0030 s:0062 b:0062 e:000061 METHOD

/Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors/visitor.rb:15

c:0011 p:0013 s:0058 b:0058 e:000057 METHOD

/Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors/visitor.rb:5

c:0010 p:0012 s:0054 b:0054 e:000053 METHOD

/Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors/to_ruby.rb:20

c:0009 p:0026 s:0046 b:0046 e:000045 METHOD

/Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/nodes/node.rb:35

c:0008 p:0034 s:0043 b:0043 e:000042 METHOD /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych.rb:128

c:0007 p:0080 s:0037 b:0037 e:000036 METHOD /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/rubygems/config_file.rb:253

c:0006 p:0212 s:0033 b:0033 e:000032 METHOD /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/rubygems/config_file.rb:191

[FINISH]

c:0005 p:---- s:0024 b:0024 e:000023 CFUNC  :new

c:0004 p:0022 s:0020 b:0019 e:000018 METHOD /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/rubygems/gem_runner.rb:78

c:0003 p:0118 s:0015 b:0015 e:000014 METHOD /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/rubygems/gem_runner.rb:51

c:0002 p:0267 s:0007 b:0007 e:001900 EVAL   /Users/conradwt/.rvm/rubies/ruby-head/bin/gem:25 [FINISH]

c:0001 p:0000 s:0002 b:0002 e:001fa8 TOP    [FINISH]

/Users/conradwt/.rvm/rubies/ruby-head/bin/gem:25:in <main>'

/Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/rubygems/gem_runner.rb:51:in run'

/Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/rubygems/gem_runner.rb:78:in do_configuration'

/Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/rubygems/gem_runner.rb:78:in new'

/Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/rubygems/config_file.rb:191:in initialize'

/Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/rubygems/config_file.rb:253:in load_file'

/Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych.rb:128:in load'

/Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/nodes/node.rb:35:in to_ruby'

/Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors/to_ruby.rb:20:in accept'

/Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors/visitor.rb:5:in accept'

/Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors/visitor.rb:15:in visit'

/Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors/to_ruby.rb:231:in visit_Psych_Nodes_Document'

/Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors/to_ruby.rb:20:in accept'

/Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors/visitor.rb:5:in accept'

/Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors/visitor.rb:15:in visit'

/Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors/to_ruby.rb:144:in visit_Psych_Nodes_Mapping'

/Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors/to_ruby.rb:144:in `==='

-- C level backtrace information -------------------------------------------

See Crash Report log file under ~/Library/Logs/CrashReporter or

/Library/Logs/CrashReporter, for the more detail of.

-- Other runtime information -----------------------------------------------

Loaded script: /Users/conradwt/.rvm/rubies/ruby-head/bin/gem

Loaded features:

0 enumerator.so

1 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/x86_64-darwin12.0.0/enc/encdb.bundle

2 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/x86_64-darwin12.0.0/enc/trans/transdb.bundle

3 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/rubygems/defaults.rb

4 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/x86_64-darwin12.0.0/rbconfig.rb

5 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/rubygems/deprecate.rb

6 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/rubygems/exceptions.rb

7 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/rubygems/custom_require.rb

8 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/rubygems.rb

9 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/optparse.rb

10 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/rubygems/user_interaction.rb

11 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/rubygems/command.rb
12 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/rubygems/command_manager.rb

13 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/x86_64-darwin12.0.0/etc.bundle

14 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/rubygems/config_file.rb

15 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/rubygems/doc_manager.rb

16 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/rubygems/version.rb

17 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/rubygems/requirement.rb

18 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/rubygems/platform.rb

19 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/rubygems/specification.rb

20 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/rubygems/path_support.rb

21 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/rubygems/dependency.rb

22 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/rubygems/version_option.rb

23 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/shellwords.rb

24 /Users/conradwt/.rvm/gems/ruby-head/gems/open_gem-1.4.2/lib/open_gem/common_options.rb

25 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/timeout.rb

26 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/fileutils.rb

27 /Users/conradwt/.rvm/gems/ruby-head@global/gems/rubygems-bundler-1.0.6/lib/rubygems-bundler/wrapper.rb

28

/Users/conradwt/.rvm/gems/ruby-head@global/gems/rubygems-bundler-1.0.6/lib/rubygems-bundler/rubygems_bundler_installer

.rb

29 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/rubygems/package/f_sync_dir.rb

30 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/rubygems/package/tar_header.rb

31 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/x86_64-darwin12.0.0/enc/iso_8859_1.bundle

32 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/x86_64-darwin12.0.0/zlib.bundle

33 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/syntax_error.rb

34 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych.bundle

35 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/x86_64-darwin12.0.0/stringio.bundle

36 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/nodes/node.rb

37 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/nodes/stream.rb

38 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/nodes/document.rb

39 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/nodes/sequence.rb

40 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/nodes/scalar.rb

41 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/nodes/mapping.rb

42 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/nodes/alias.rb

43 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/nodes.rb

44 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/streaming.rb

45 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors/visitor.rb

46 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/x86_64-darwin12.0.0/strscan.bundle

47 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/scalar_scanner.rb

48 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors/to_ruby.rb

49 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors/emitter.rb

50 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors/yaml_tree.rb

51 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/json/ruby_events.rb

52 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors/json_tree.rb

53 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors/depth_first.rb

54 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/visitors.rb

55 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/handler.rb

56 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/tree_builder.rb

57 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/parser.rb

58 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/omap.rb

59 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/set.rb

60 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/coder.rb

61 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/core_ext.rb

62 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/x86_64-darwin12.0.0/date_core.bundle

63 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/date/format.rb

64 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/date.rb

65 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/deprecated.rb

66 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/stream.rb

67 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/json/yaml_events.rb

68 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/json/tree_builder.rb

69 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/json/stream.rb

70 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych/handlers/document_stream.rb

71 /Users/conradwt/.rvm/gems/ruby-head/gems/psych-1.3.2/lib/psych.rb

72 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/rubygems/psych_additions.rb

73 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/rubygems/psych_tree.rb

74 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/yaml.rb

75 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/rubygems/syck_hack.rb

76 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/rubygems/package/tar_input.rb
77 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/rubygems/package/tar_output.rb

78 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/rubygems/package/tar_reader/entry.rb

79 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/rubygems/package/tar_reader.rb

80 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/rubygems/package/tar_writer.rb

81 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/rubygems/package.rb

82 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/rubygems/format.rb

83 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/rubygems/ext/builder.rb

84 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/rubygems/ext/configure_builder.rb

85 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/rubygems/ext/ext_conf_builder.rb

86 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/rubygems/ext/rake_builder.rb

87 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/rubygems/ext.rb

88 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/rubygems/require_paths_builder.rb

89 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/rubygems/installer.rb

90

/Users/conradwt/.rvm/gems/ruby-head@global/gems/rubygems-bundler-1.0.6/lib/rubygems-bundler/regenerate_binstubs_comm

and.rb

91 /Users/conradwt/.rvm/gems/ruby-head/gems/yard-0.8.1/lib/yard/rubygems/specification.rb

92 /Users/conradwt/.rvm/gems/ruby-head/gems/yard-0.8.1/lib/yard/rubygems/doc_manager.rb

93 /Users/conradwt/.rvm/rubies/ruby-head/lib/ruby/2.0.0/rubygems/gem_runner.rb

History

#1 - 08/24/2012 07:23 AM - ko1 (Koichi Sasada)

(2012/08/24 5:45), conradwt (Conrad Taylor) wrote:

-- C level backtrace information -------------------------------------------

See Crash Report log file under ~/Library/Logs/CrashReporter or

/Library/Logs/CrashReporter, for the more detail of.

 Can you show this information?

--

// SASADA Koichi at atdot dot net

#2 - 08/26/2012 05:42 PM - Anonymous

ko1 (Koichi Sasada) wrote:

(2012/08/24 5:45), conradwt (Conrad Taylor) wrote:

-- C level backtrace information -------------------------------------------

See Crash Report log file under ~/Library/Logs/CrashReporter or

/Library/Logs/CrashReporter, for the more detail of.

 Can you show this information?

 I was not able to locate the crash logs in the above two locations. Next, it appears that the issue may be with the gem executable and its use of the

psych gem because I can easily reproduce the issue with the following:

$ gem list

or

$ gem 

I have been able to use the Ruby 2.0.0dev interpreter with success without any issues.

--

// SASADA Koichi at atdot dot net

#3 - 10/27/2012 09:22 AM - ko1 (Koichi Sasada)

- Status changed from Open to Feedback
- Assignee set to mame (Yusuke Endoh)

Could you reproduce this issue yet?

#4 - 10/27/2012 06:49 PM - mame (Yusuke Endoh)

- Status changed from Feedback to Assigned

- Assignee changed from mame (Yusuke Endoh) to sorah (Sorah Fukumori)

I don't have os x.  Sorah, could you handle this?

--

Yusuke Endoh mame@tsg.ne.jp

#5 - 11/02/2012 04:25 PM - sorah (Sorah Fukumori)

- Status changed from Assigned to Feedback

1. In Mountain Lion, crash logs are in ~/Library/Logs/DiagnosticReports or /Library/Logs/DiagnosticReports. Please check these places and attach

if you found.

2. try again after cleaning ruby-head gemset and ruby-head installation if you can: rm -rf ~/.rvm/gems/ruby-head ~/.rvm/rubies/ruby-head

3. Is this reproducible without using rvm?

#6 - 11/02/2012 04:25 PM - sorah (Sorah Fukumori)

- Category changed from build to lib

#7 - 02/18/2013 11:40 PM - mame (Yusuke Endoh)

- Target version changed from 2.0.0 to 2.6

#8 - 12/25/2017 06:15 PM - naruse (Yui NARUSE)

- Target version deleted (2.6)

#9 - 07/15/2019 05:04 AM - jeremyevans0 (Jeremy Evans)

- Status changed from Feedback to Closed
